mutation CreateWorkforce(
  $workforceNumber: String!,
  $vendorId: UUID!,
  $firstName: String!,
  $lastName: String!,
  $employmentType: WorkforceEmploymentType
) @auth(level: USER) {
  workforce_insert(
    data: {
      workforceNumber: $workforceNumber
      vendorId: $vendorId
      firstName: $firstName
      lastName: $lastName
      employmentType: $employmentType
    }
  )
}

mutation UpdateWorkforce(
  $id: UUID!,
  $workforceNumber: String,
  $vendorId: UUID,
  $firstName: String,
  $lastName: String,
  $employmentType: WorkforceEmploymentType
) @auth(level: USER) {
  workforce_update(
    id: $id,
    data: {
      workforceNumber: $workforceNumber
      vendorId: $vendorId
      firstName: $firstName
      lastName: $lastName
      employmentType: $employmentType
    }
  )
}

mutation DeleteWorkforce(
  $id: UUID!
) @auth(level: USER) {
  workforce_delete(id: $id)
}
